Package com.massivecraft.factions.struct

## Enum Role

- java.lang.Object
- - java.lang.Enum<Role>
  - - com.massivecraft.factions.struct.Role

All Implemented Interfaces:
  `Permissable`, `java.io.Serializable`, `java.lang.Comparable<Role>`, `java.lang.constant.Constable`

    public enum Role
    extends java.lang.Enum<Role>
    implements Permissable

### Nested Class Summary

### Nested classes/interfaces inherited from class java.lang.Enum

`java.lang.Enum.EnumDesc<E extends java.lang.Enum<E>>`

### Enum Constant Summary

Enum Constants
Enum Constant | Description
--- | ---
`COLEADER` |
`LEADER` |
`MODERATOR` |
`NORMAL` |
`RECRUIT` |

### Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`java.lang.String` | `nicename` |
`TL` | `translation` |
`int` | `value` |

### Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`org.bukkit.inventory.ItemStack` | `buildItem()` |
`static Role` | `fromString​(java.lang.String check)` |
`static Role` | `getByValue​(int value)` |
`java.lang.String` | `getPrefix()` |
`static Role` | `getRelative​(Role role, int relative)` |
`TL` | `getTranslation()` |
`boolean` | `isAtLeast​(Role role)` |
`boolean` | `isAtMost​(Role role)` |
`java.lang.String` | `replacePlaceholders​(java.lang.String string)` |
`java.lang.String` | `toString()` |
`static Role` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
`static Role[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.massivecraft.factions.zcore.fperms.Permissable

`name`

### Enum Constant Detail

#### LEADER

    public static final Role LEADER

#### COLEADER

    public static final Role COLEADER

#### MODERATOR

    public static final Role MODERATOR

#### NORMAL

    public static final Role NORMAL

#### RECRUIT

    public static final Role RECRUIT

### Field Detail

#### value

    public final int value

#### nicename

    public final java.lang.String nicename

#### translation

    public final TL translation

### Method Detail

#### values

    public static Role[] values()

Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Role valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### getRelative

    public static Role getRelative​(Role role,
                                   int relative)

#### getByValue

    public static Role getByValue​(int value)

#### fromString

    public static Role fromString​(java.lang.String check)

#### isAtLeast

    public boolean isAtLeast​(Role role)

#### isAtMost

    public boolean isAtMost​(Role role)

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Enum<Role>`

#### getTranslation

    public TL getTranslation()

#### getPrefix

    public java.lang.String getPrefix()

#### buildItem

    public org.bukkit.inventory.ItemStack buildItem()

Specified by:
  `buildItem` in interface `Permissable`

#### replacePlaceholders

    public java.lang.String replacePlaceholders​(java.lang.String string)

Specified by:
  `replacePlaceholders` in interface `Permissable`